<div class="codeeditor">
  <div class="codeeditor-left">
    <div class="codeeditor-ace"></div>
  </div>
  <div class="codeeditor-x-dragbar"></div>
  <div class="codeeditor-right">
    <div class="codeeditor-right-top">
      <div class="codeeditor-commandline input-group">
        <span class="input-group-btn">
          <button class="btn btn-success" type="button" id="execute">
            <i class="glyphicon glyphicon-play"></i>
            Execute
          </button>
        </span>       
        <span class="input-group-btn" style="display:none;">
          <button class="btn btn-danger" type="button" id="abort">
            <i class="glyphicon glyphicon-stop"></i>
            Abort
          </button>
        </span>
        <!-- The submit button -->
        <span class="input-group-btn">
          <button class="btn btn-default dropdown-toggle" id="submit" data-toggle="dropdown" title="Job menu">
            <i class="glyphicon glyphicon-list"></i>
          </button>
          <ul id="menu" class="dropdown-menu" role="menu">
          </ul>
        </span>
        <!--The command line -->
        <input type="text" class="form-control" id="command-line" placeholder="Commandline" value="" data-toggle="tooltip" data-placement="bottom" title="Execution command relative to the filepath. %file is a variable holding the filename.">
        <!-- The history button -->
        <span class="input-group-btn">
          <button class="btn btn-default dropdown-toggle" id="history-btn" data-toggle="dropdown" title="Command history">
            <i class="glyphicon glyphicon-chevron-down"></i>
          </button>
          <ul id="history" class="dropdown-menu dropdown-menu-right" role="menu">
          </ul>
        </span>
      </div>      
      <pre class="codeeditor-output">Execution Output</pre>
      <div class="codeeditor-output-buttons">
        <div class="btn-group">
          <button class="btn btn-sm btn-default gototop" type="button">
            <i class="glyphicon glyphicon-arrow-up"></i>
            <span>Top</span>
          </button>
          <button class="btn btn-sm btn-default gotobottom" type="button">
            <i class="glyphicon glyphicon-arrow-down"></i>
            <span>Bottom</span>
          </button>
        </div>
        <button class="btn btn-sm btn-default clear" type="button">
          <i class="glyphicon glyphicon-ban-circle"></i>
          <span>Clear</span>
        </button>
      </div>
    </div>
    <div class="codeeditor-y-dragbar"></div>
    <div class="codeeditor-right-bottom">
      <div class="input-group buttons">
        <span class="input-group-btn">
          <button class="btn btn-default select-button" type="button">
            <i class="glyphicon glyphicon-folder-close"></i>
          </button>
          <button class="btn btn-default dropdown-toggle" id="preview-resize-btn" type="button" data-toggle="dropdown" title="Thumbnail sizes">
            <i class="glyphicon glyphicon-eye-open"></i>
          </button>
          <ul id="zoom" class="dropdown-menu" role="menu">
            <li data-action="in">
              <a>
                <i class="glyphicon glyphicon-zoom-in"></i>
                +50%
              </a>
            </li>
            <li data-action="default">
              <a>
                <i class="glyphicon glyphicon-th-large"></i>
                100%
              </a>
            </li>
            <li data-action="out">
              <a>
                <i class="glyphicon glyphicon-zoom-out"></i>
                -33%
              </a>
            </li>
            <li data-action="alphabet-sort">
              <a>
                <i class="glyphicon glyphicon-sort-by-alphabet"></i>
                Sort by alphabet
              </a>
            </li>    
            <li data-action="mtime-sort">
              <a>
                <i class="glyphicon glyphicon-sort-by-order"></i>
                Sort by mtime
              </a>
            </li>         
          </ul>
        </span>
        <input type="text" class="form-control" id="path-input" placeholder="Directory to inspect" />
      </div>
      <div class="well"></div>
    </div>
  </div>
</div>
